//
//  BKControlDummyPanels.m
//  KBSampleProject
//
//  Created by Jonas De Vuyst on 4/06/12.
//  Copyright (c) 2012 Jonas De Vuyst. All rights reserved.
//

#import "BKControlDummyPanels.h"

void install_dummy_keybar() 
{
    #if TARGET_IPHONE_SIMULATOR
    NSLog(@"KeyBar: Running on a simulator. Installing dummy keybar.");
    #else
    NSLog(@"KeyBar: Running on a real device. Dummy keybars not supported.");
    return;
    #endif
    
    //
    // Please make sure you DON'T INCLUDE THIS CODE IN A PRODUCTION APP
    // as this could interfere with the proper functioning of other apps.
    //
    
    UIPasteboard *pasteboard = [UIPasteboard pasteboardWithName:@"com.keybarapp.panel" create:YES];
    
    NSArray *string_array = [NSArray arrayWithObjects:@"char φ", 
                             @"char 😄",
                             @"nav left s:◄",
                             @"nav right s:►",
                             @"nav prevword s:|word",
                             @"nav nextword s:word|",
                             //@"nav startofline s:|line",
                             //@"nav endofline s:line|",
                             //@"nav home s:Home",
                             //@"nav end s:End",
                             @"comb U+0304 s:¯",
                             @"comb U+0301 s:ˊ",
                             @"comb U+030C s:ˇ",
                             @"comb U+0300 s:ˋ",
                             nil];
    
    pasteboard.strings = string_array;
}
